## r-cran-tidygraph 1.1.2

=== DESCRIPTION ===
Package: tidygraph
Type: Package
Title: A Tidy API for Graph Manipulation
Version: 1.1.2
Date: 2019-02-18
Authors@R: 
    person(given = "Thomas Lin",
           family = "Pedersen",
           role = c("cre", "aut"),
           email = "thomasp85@gmail.com")
Maintainer: Thomas Lin Pedersen <thomasp85@gmail.com>
Description: A graph, while not "tidy" in itself, can be thought of as two tidy
    data frames describing node and edge data respectively. 'tidygraph'
    provides an approach to manipulate these two virtual data frames using the
    API defined in the 'dplyr' package, as well as provides tidy interfaces to 
    a lot of common graph algorithms.
License: MIT + file LICENSE
Encoding: UTF-8
LazyData: true
RoxygenNote: 6.1.1
Imports: tibble, dplyr (>= 0.8), igraph, magrittr, utils, rlang, R6,
        Rcpp, tools, stats, tidyr, pillar
URL: https://github.com/thomasp85/tidygraph
BugReports: https://github.com/thomasp85/tidygraph/issues
LinkingTo: Rcpp
Suggests: network, data.tree, ape, graph, methods, testthat, covr,
        seriation, netrankr, influenceR, NetSwan
NeedsCompilation: yes
Packaged: 2019-02-18 09:46:42 UTC; thomas
Author: Thomas Lin Pedersen [cre, aut]
Repository: CRAN
Date/Publication: 2019-02-18 22:30:03 UTC

=== debian/changelog ===
r-cran-tidygraph (1.1.2-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Mar 2020 15:01:13 +0100

r-cran-tidygraph (1.1.2-2) unstable; urgency=medium

  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Fri, 27 Dec 2019 16:20:24 +0100

r-cran-tidygraph (1.1.2-1) unstable; urgency=medium

  * Initial release (closes: #945100)

 -- Andreas Tille <tille@debian.org>  Tue, 19 Nov 2019 17:28:27 +0100

=== debian/control ===
Source: r-cran-tidygraph
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev,
               r-cran-tibble,
               r-cran-dplyr (>= 0.8),
               r-cran-igraph,
               r-cran-magrittr,
               r-cran-rlang,
               r-cran-r6,
               r-cran-rcpp,
               r-cran-tidyr,
               r-cran-pillar
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-tidygraph
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-tidygraph.git
Homepage: https://cran.r-project.org/package=tidygraph

Package: r-cran-tidygraph
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R tidy API for graph manipulation
 A graph, while not "tidy" in itself, can be thought of as two tidy
 data frames describing node and edge data respectively. 'tidygraph'
 provides an approach to manipulate these two virtual data frames using the
 API defined in the 'dplyr' package, as well as provides tidy interfaces to
 a lot of common graph algorithms.

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/tidygraph_([-\d.]*)\.tar\.gz

## r-cran-tidygraph 1.2.0

=== DESCRIPTION ===
Package: tidygraph
Type: Package
Title: A Tidy API for Graph Manipulation
Version: 1.2.0
Authors@R: 
    person(given = "Thomas Lin",
           family = "Pedersen",
           role = c("cre", "aut"),
           email = "thomasp85@gmail.com",
           comment = c(ORCID = "0000-0002-5147-4711"))
Maintainer: Thomas Lin Pedersen <thomasp85@gmail.com>
Description: A graph, while not "tidy" in itself, can be thought of as two tidy
    data frames describing node and edge data respectively. 'tidygraph'
    provides an approach to manipulate these two virtual data frames using the
    API defined in the 'dplyr' package, as well as provides tidy interfaces to 
    a lot of common graph algorithms.
License: MIT + file LICENSE
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.1.0
Imports: tibble, dplyr (>= 0.8.5), igraph, magrittr, utils, rlang, R6,
        Rcpp, tools, stats, tidyr, pillar
URL: https://tidygraph.data-imaginist.com,
        https://github.com/thomasp85/tidygraph
BugReports: https://github.com/thomasp85/tidygraph/issues
LinkingTo: Rcpp
Suggests: network, data.tree, ape, graph, methods, testthat, covr,
        seriation, netrankr, influenceR, NetSwan
NeedsCompilation: yes
Packaged: 2020-05-12 06:17:33 UTC; thomas
Author: Thomas Lin Pedersen [cre, aut]
    (<https://orcid.org/0000-0002-5147-4711>)
Repository: CRAN
Date/Publication: 2020-05-12 07:30:03 UTC

=== debian/changelog ===
r-cran-tidygraph (1.2.0-1build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 May 2020 06:26:36 +0000

r-cran-tidygraph (1.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Sat, 23 May 2020 10:15:18 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: r-cran-tidygraph
-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
@@ -8,7 +9,7 @@
                dh-r,
                r-base-dev,
                r-cran-tibble,
-               r-cran-dplyr (>= 0.8),
+               r-cran-dplyr (>= 0.8.5),
                r-cran-igraph,
                r-cran-magrittr,
                r-cran-rlang,
@@ -16,10 +17,11 @@
                r-cran-rcpp,
                r-cran-tidyr,
                r-cran-pillar
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-tidygraph
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-tidygraph.git
 Homepage: https://cran.r-project.org/package=tidygraph
+Rules-Requires-Root: no
 
 Package: r-cran-tidygraph
 Architecture: any

## r-cran-tidygraph 1.2.2

=== debian/changelog ===
r-cran-tidygraph (1.2.2-1) unstable; urgency=medium

  * Disable reprotest
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 25 Aug 2022 16:29:19 +0200

r-cran-tidygraph (1.2.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 25 May 2022 13:01:26 +0200

=== debian/control ===
Source: r-cran-tidygraph
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-tidygraph
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-tidygraph.git
Homepage: https://cran.r-project.org/package=tidygraph
Standards-Version: 4.6.1
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-tibble,
               r-cran-dplyr (>= 0.8.5),
               r-cran-igraph,
               r-cran-magrittr,
               r-cran-rlang,
               r-cran-r6,
               r-cran-tidyr,
               r-cran-pillar,
               r-cran-cli,
               r-cran-cpp11
Testsuite: autopkgtest-pkg-r

Package: r-cran-tidygraph
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R tidy API for graph manipulation
 A graph, while not "tidy" in itself, can be thought of as two tidy
 data frames describing node and edge data respectively. 'tidygraph'
 provides an approach to manipulate these two virtual data frames using the
 API defined in the 'dplyr' package, as well as provides tidy interfaces to
 a lot of common graph algorithms.

## r-cran-tidygraph 1.2.3

=== debian/changelog ===
r-cran-tidygraph (1.2.3-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 06 Feb 2023 13:50:13 +0100

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,14 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-tidygraph
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-tidygraph.git
 Homepage: https://cran.r-project.org/package=tidygraph
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-tibble,
                r-cran-dplyr (>= 0.8.5),
-               r-cran-igraph,
+               r-cran-igraph (>= 1.3.0),
                r-cran-magrittr,
                r-cran-rlang,
                r-cran-r6,

## r-cran-tidygraph 1.3.0

=== debian/changelog ===
r-cran-tidygraph (1.3.0-1) unstable; urgency=medium

  * New upstream version
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 09 Jan 2024 09:43:56 +0100

=== debian/control ===
Source: r-cran-tidygraph
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-cli,
               r-cran-dplyr,
               r-cran-igraph (>= 1.5.0),
               r-cran-lifecycle,
               r-cran-magrittr,
               r-cran-pillar,
               r-cran-r6,
               r-cran-rlang,
               r-cran-tibble,
               r-cran-tidyr,
               r-cran-cpp11
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-tidygraph
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-tidygraph.git
Homepage: https://cran.r-project.org/package=tidygraph
Rules-Requires-Root: no

Package: r-cran-tidygraph
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R tidy API for graph manipulation
 A graph, while not "tidy" in itself, can be thought of as two tidy
 data frames describing node and edge data respectively. 'tidygraph'
 provides an approach to manipulate these two virtual data frames using the
 API defined in the 'dplyr' package, as well as provides tidy interfaces to
 a lot of common graph algorithms.

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-ape,
        r-cran-covr,
        r-bioc-graph,
        r-cran-network,
        r-cran-seriation,
        r-cran-testthat (>= 3.0.0)
Restrictions: allow-stderr

## r-cran-tidygraph 1.3.1

=== DESCRIPTION ===
Type: Package
Package: tidygraph
Title: A Tidy API for Graph Manipulation
Version: 1.3.1
Authors@R: 
    person("Thomas Lin", "Pedersen", , "thomasp85@gmail.com", role = c("cre", "aut"),
           comment = c(ORCID = "0000-0002-5147-4711"))
Maintainer: Thomas Lin Pedersen <thomasp85@gmail.com>
Description: A graph, while not "tidy" in itself, can be thought of as two
    tidy data frames describing node and edge data respectively.
    'tidygraph' provides an approach to manipulate these two virtual data
    frames using the API defined in the 'dplyr' package, as well as
    provides tidy interfaces to a lot of common graph algorithms.
License: MIT + file LICENSE
URL: https://tidygraph.data-imaginist.com,
        https://github.com/thomasp85/tidygraph
BugReports: https://github.com/thomasp85/tidygraph/issues
Imports: cli, dplyr (>= 0.8.5), igraph (>= 2.0.0), lifecycle, magrittr,
        pillar, R6, rlang, stats, tibble, tidyr, tools, utils
Suggests: ape, covr, data.tree, graph, influenceR, methods, netrankr,
        NetSwan, network, seriation, testthat (>= 3.0.0)
LinkingTo: cpp11
Encoding: UTF-8
RoxygenNote: 7.3.1
Config/testthat/edition: 3
NeedsCompilation: yes
Packaged: 2024-01-30 12:17:51 UTC; thomas
Author: Thomas Lin Pedersen [cre, aut]
    (<https://orcid.org/0000-0002-5147-4711>)
Repository: CRAN
Date/Publication: 2024-01-30 13:40:02 UTC

=== debian/changelog ===
r-cran-tidygraph (1.3.1-3) unstable; urgency=medium

  * Team upload.
  * Packaging update
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 19 Feb 2026 10:24:16 +0900

r-cran-tidygraph (1.3.1-2) unstable; urgency=medium

  * Team upload.
  * Added patch to remove r-bioc-graph from the suggested package list (and
    therefore from the dependencies of the autopkgtests).

    r-bioc-graph isn't used in any of the tests, and none of the program code
    makes referenc to the graph package.

    Also, r-bioc-graph is available on fewer architectures than this package,
    so removing it improves the autopkgtests.

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 13 Sep 2024 15:33:28 +0200

r-cran-tidygraph (1.3.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Fri, 06 Sep 2024 11:26:13 +0900

=== debian/control ===
Source: r-cran-tidygraph
Standards-Version: 4.7.3
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders:
 Andreas Tille <tille@debian.org>,
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Build-Depends:
 debhelper-compat (= 13),
 dh-r,
 r-base-dev,
 r-cran-cli,
 r-cran-dplyr,
 r-cran-igraph (>= 2.0.0),
 r-cran-lifecycle,
 r-cran-magrittr,
 r-cran-pillar,
 r-cran-r6,
 r-cran-rlang,
 r-cran-tibble,
 r-cran-tidyr,
 r-cran-cpp11,
 architecture-is-64-bit,
 architecture-is-little-endian,
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-tidygraph
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-tidygraph.git
Homepage: https://cran.r-project.org/package=tidygraph
Rules-Requires-Root: no

Package: r-cran-tidygraph
Architecture: any
Depends:
 ${R:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Recommends:
 ${R:Recommends},
Suggests:
 ${R:Suggests},
Description: GNU R tidy API for graph manipulation
 A graph, while not "tidy" in itself, can be thought of as two tidy
 data frames describing node and edge data respectively. 'tidygraph'
 provides an approach to manipulate these two virtual data frames using the
 API defined in the 'dplyr' package, as well as provides tidy interfaces to
 a lot of common graph algorithms.

=== debian/tests/control ===
Tests: run-unit-test
Restrictions: allow-stderr
Depends:
 @,
 r-cran-ape,
 r-cran-covr,
 r-cran-influencer,
 r-cran-network,
 r-cran-seriation,
 r-cran-testthat (>= 3.0.0),
